Attribute VB_Name = "basImage"
Option Explicit
Public objDB As Database
Public gsFileName As String
Public gsDrive As String
Public gsPath As String
Public gErrFormName As String

Sub main()
    On Error GoTo main_Error
    
    Dim sPath As String
    
   
    sPath = App.Path
    
    Set objDB = OpenDatabase(sPath & "\image.mdb", False)
    
    frmMain.Show
    
Exit_main:
        
   Exit Sub
    
main_Error:
    
    #If gnDebug Then
        Stop
        Resume
    #End If

    HandleError "main", Err.Description, Err.Number, gErrFormName
    Resume Exit_main
    
End Sub

Sub HandleError(strLoc As String, strError$, lError As Long, varModule As Variant)

    Dim nCursorType As Integer

    nCursorType = Screen.MousePointer

    Screen.MousePointer = vbNormal
    MsgBox strLoc & ": " & strError & " (" & lError & ")", vbExclamation, varModule
    Screen.MousePointer = nCursorType

End Sub

